Download it now!
Bug 84810 - crash in paste special when combine options link and format
Summary: crash in paste special when combine options link and format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: highest critical
Assignee: Matthew Francis
URL:
Whiteboard: BSA target:4.4.0 4.3.4 bisected targe...
Keywords: regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-10-08 18:26 UTC by Regina Henschel
Modified: 2018-02-05 08:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gdbtrace (2.15 KB, application/gzip)
2014-10-08 19:38 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2014-10-08 18:26:37 UTC
Start Calc
Write some text in A1
Copy cell A1 to clipboard
Set cursor in A3 (or elsewhere)
Edit > Paste special
Check option "Link" and check option "Paste all"
Paste ==> Crash.

The crash is caused by the combination of options "Link" and "Format".

This workflow does not crash in LibreOffice 4.2.6
It crashes at least since Version Version: 4.4.0.0.alpha0+
Build ID: dacab84536f61f79a5422e1d8d394019ec62f3ec
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-04_04:27:18
Comment 1 raal 2014-10-08 19:37:41 UTC
I can confirm with Version: 4.4.0.0.alpha0+
Build ID: ced24ffba2fa1754c466b7944b0ee06d21292706
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-10-04_21:31:09
Comment 2 raal 2014-10-08 19:38:12 UTC
Created attachment 107580 [details]
gdbtrace
Comment 3 tommy27 2014-10-08 20:03:37 UTC
reproducible under Win7x64 using 4.3.0.4 and 4.4.0.0.alpha0+ 
Build ID: 9177329a425cf70b515d1f266132838894fe54c6
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-06_00:13:13

works fine in 4.2.6.2, hence 4.3.x regression.
I think this could be placed in the mab4.3 list.
Comment 4 Matthew Francis 2014-10-09 03:05:49 UTC
45c77fb1c7bee047221a8c6bea9919291281f09e is the first bad commit
commit 45c77fb1c7bee047221a8c6bea9919291281f09e
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 05:25:38 2014 +0000

    source-hash-f1b1e73227471192682d303a58618ca8bd65a74d
    
    commit f1b1e73227471192682d303a58618ca8bd65a74d
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Sat Jan 25 20:19:29 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Sat Jan 25 20:56:30 2014 +0000
    
        coverity#1158347 Uncaught exception
    
        Change-Id: Iacaf59724b71d810270545d1e9dd04d59125cc92

bibisect-43only$ git bisect log
git bisect start
# bad: [a92705c1fabafddd43d175a0714855cd22551232] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect bad a92705c1fabafddd43d175a0714855cd22551232
# good: [6ab7f53af36f13bbefdd4e4fcbd3d1ea432a77d9] source-hash-22029c7e17b4cb48acb058d47ec9c3b6b8b6b294
git bisect good 6ab7f53af36f13bbefdd4e4fcbd3d1ea432a77d9
# bad: [bebf9d31c8fe9de96798484288a0fffc4d54917d] source-hash-09e5de8278dd8f13adcf614db35c8a8a04ba8e47
git bisect bad bebf9d31c8fe9de96798484288a0fffc4d54917d
# bad: [20d42d26a12e5ded00b3510d2d9e254e7876dc78] source-hash-c1503da35d8879366da13258837cf0084a536809
git bisect bad 20d42d26a12e5ded00b3510d2d9e254e7876dc78
# good: [df997ea92f012344541d1cf25eb1ff402e6de210] source-hash-7f5494f3c4bf14209a119c6b21c02e10075503ae
git bisect good df997ea92f012344541d1cf25eb1ff402e6de210
# good: [2efdfdeffbeb25fedb9a63c5d0e3168e03349f24] source-hash-d1ba55a28cd40134356faf3e01971491086591d9
git bisect good 2efdfdeffbeb25fedb9a63c5d0e3168e03349f24
# good: [1bcf9fe42f3009920b180819ada17589b453486a] source-hash-d803483f6a5938b0d0708b8db74b30c511dd8e31
git bisect good 1bcf9fe42f3009920b180819ada17589b453486a
# good: [6d88943bd809766f2c3a1de72552d6da601aee7a] source-hash-4f3012fc05fa0eeae412d9e2bfca3d7e60914a8c
git bisect good 6d88943bd809766f2c3a1de72552d6da601aee7a
# bad: [754758306196c05e5a4bf6c6562e8b40c4793cfd] source-hash-8df4ce0ebe1240ed8f6def3af8f810e3f207555f
git bisect bad 754758306196c05e5a4bf6c6562e8b40c4793cfd
# bad: [45c77fb1c7bee047221a8c6bea9919291281f09e] source-hash-f1b1e73227471192682d303a58618ca8bd65a74d
git bisect bad 45c77fb1c7bee047221a8c6bea9919291281f09e
# first bad commit: [45c77fb1c7bee047221a8c6bea9919291281f09e] source-hash-f1b1e73227471192682d303a58618ca8bd65a74d
Comment 5 Matthew Francis 2014-10-09 06:06:03 UTC
This one's the culprit

commit 80ea2822c368e6655d216c32904268fc335ef6a4
Author: Kohei Yoshida <kohei.yoshida@collabora.com>
Date:   Fri Jan 24 11:38:47 2014 -0500

    Optimize copy-n-pasting of single cell replicated over a range.
    
    This is a very common operation. Let's speed it up a bit.
    
    TODO : Handle cell comments.
    
    Change-Id: I5442bf19008475a9427b889c1eb641cacd8ff161


Patch pending:
https://gerrit.libreoffice.org/#/c/11867
Comment 8 Commit Notification 2018-02-05 08:47:40 UTC
Saurav Chirania committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b57ad983e6ed5d976903b1d6588b472bb3051e7d

tdf#107501 automatize EN-8 manual test, related tdf#84810

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.